%define	name	clanlib2.1
%define	version	2.1.2
%define release %mkrel 3
%define	lib_name_orig libclanlib
%define	lib_major 2.1
%define	lib_subver 21
%define	lib_name %mklibname clanlib %{lib_major}

# disable no_undefined, otherwise it fails on linking src
%define _disable_ld_no_undefined 1
Name:		%{name}
Summary:	The ClanLib Game SDK series 2.1
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries
Source0:	http://www.clanlib.org/download/releases-%{lib_major}/ClanLib-%version.tgz
Patch0:		ClanLib-2.1.2-libpng15.patch
URL:		http://www.clanlib.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libmikmod-devel libpng-devel Mesa-common-devel autoconf2.5
BuildRequires:	libtiff-devel X11-static-devel bzip2-devel oggvorbis-devel DirectFB-devel
BuildRequires:  libSDL_gfx-devel
BuildRequires:  libxslt-proc
BuildRequires:  libpcre-devel doxygen

Obsoletes:	ClanLib
Provides:	ClanLib = %{version}-%{release}

%description
The ClanLib Game SDK is a crossplatform game library designed to ease the work
for game developers. The goal is to provide a common interface to classical
game problems (loading graphics eg.), so games can share as much code as
possible. Ideally anyone with small resources should be able to write
commercial quality games.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{lib_name}-gl = %{version}-%{release}
Requires:	%{lib_name}-gui = %{version}-%{release}
Requires:	%{lib_name}-mikmod = %{version}-%{release}
Requires:	%{lib_name}-network = %{version}-%{release}
Requires:	%{lib_name}-sound = %{version}-%{release}
Requires:	%{lib_name}-vorbis = %{version}-%{release}
Requires:	%{lib_name}-gdi = %{version}-%{release}
Requires:	%{lib_name}-database = %{version}-%{release}
Requires:	%{lib_name}-regexp = %{version}-%{release}
Requires:	x11-proto-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Obsoletes:	ClanLib-devel clanlib-devel
Provides:	ClanLib-devel = %{version}-%{release} clanlib-devel = %{version}-%{release} %{name}-devel
Conflicts:	clanlib0.6-devel

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{lib_name}-static-devel
Summary:	Static libraries for %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Obsoletes:	ClanLib-static-devel clanlib-static-devel
Provides:	ClanLib-static-devel = %{version}-%{release} clanlib-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
This package contains the static libraries for %{name}.

%package -n	%{lib_name}-sound
Summary:	ClanLib Sound module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-sound

%description -n	%{lib_name}-sound
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Sound module (clanSound).

%package -n	%{lib_name}-vorbis
Summary:	ClanLib Vorbis module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-vorbis

%description -n	%{lib_name}-vorbis
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Vorbis module (clanVorbis).

%package -n	%{lib_name}-network
Summary:	ClanLib Network module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-network

%description -n	%{lib_name}-network
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Network module (clanNetwork).

%package -n	%{lib_name}-gui
Summary:	ClanLib Gui module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-gui

%description -n	%{lib_name}-gui
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Gui module (clanGUI).

%package -n	%{lib_name}-gl
Summary:	ClanLib GL module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-gl

%description -n	%{lib_name}-gl
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the GL module (clanGL).

%package -n	%{lib_name}-mikmod
Summary:	ClanLib MikMod module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	ClanLib-mikmod clanlib-mikmod
Provides:	ClanLib-mikmod = %{version}-%{release} clanlib-mikmod = %{version}-%{release}
Provides:	%{lib_name_orig}-mikmod

%description -n	%{lib_name}-mikmod
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the MikMod module (clanMikMod).

%package -n	%{lib_name}-database
Summary:	ClanLib Database module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	clanlib-database
Provides:	clanlib-database = %{version}-%{release}
Provides:	%{lib_name_orig}-database

%description -n	%{lib_name}-database
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Database module (clanDatabase).

%package -n	%{lib_name}-gdi
Summary:	ClanLib GDI module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	clanlib-gdi
Provides:	clanlib-gdi = %{version}-%{release}
Provides:	%{lib_name_orig}-gdi

%description -n	%{lib_name}-gdi
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the GDI module
(clanGDI).

%package -n	%{lib_name}-regexp
Summary:	ClanLib RegExp module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	clanlib-regexp
Provides:	clanlib-regexp = %{version}-%{release}
Provides:	%{lib_name_orig}-regexp

%description -n	%{lib_name}-regexp
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the RegExp module
(clanGDI).

%package	docs
Summary:	ClanLib documentation
Group:		Books/Computer books
Obsoletes:	ClanLib-docs clanlib-docs
Provides:	ClanLib-docs = %{version}-%{release} clanlib-docs = %{version}-%{release}

%description	docs
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package contains the documentation.

%prep
%setup -q -n ClanLib-%{version}
%apply_patches

%build
./autogen.sh
%configure2_5x	--disable-debug \
		--with-pic \
		--enable-docs \
		--enable-clanDisplay \
		--enable-clanGL \
		--enable-clanSound \
		--enable-clanNetwork \
		--enable-clanGUI \
		--enable-clanMikMod \
		--enable-clanVorbis \
%ifarch %{ix86}
		--enable-asm386
%endif

%make all

%install
rm -rf %{buildroot}
%makeinstall BIN_PREFIX=%{buildroot}%{_bindir} LIB_PREFIX=%{buildroot}%{_libdir} INC_PREFIX=%{buildroot}%{_includedir} TARGET_PREFIX=%{buildroot}%{_libdir}/ClanLib
#make MAN_PREFIX=%{buildroot}%{_mandir} HTML_PREFIX=%{buildroot}%{_datadir}/doc/%{name}-docs-%{version}/Docs docs_install
rm -rf %{buildroot}%{_libdir}/*.la
# ln -s ClanLib-0.7 %{buildroot}%{_includedir}/ClanLib

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-, root, root)
%doc README COPYING CREDITS
%{_libdir}/libclan%{lib_subver}Core-%{lib_major}.so.*
%{_libdir}/libclan%{lib_subver}App-%{lib_major}.so.*
%{_libdir}/libclan%{lib_subver}Display-%{lib_major}.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
#doc README COPYING CODING_STYLE ascii-logo
%{_libdir}/*.so
%{_includedir}/ClanLib-%{lib_major}
#%{_includedir}/ClanLib
#%{_bindir}/clanlib-config
%{_libdir}/pkgconfig/*.pc

%files -n %{lib_name}-static-devel
%defattr(-, root, root)
%{_libdir}/*.a

%files docs
%defattr(-, root, root)
%{_docdir}/clanlib-%{lib_major}

%files -n %{lib_name}-mikmod
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}MikMod-%{lib_major}.so.*

%files -n %{lib_name}-network
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}Network-%{lib_major}.so.*

%files -n %{lib_name}-vorbis
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}Vorbis-%{lib_major}.so.*

%files -n %{lib_name}-sound
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}Sound-%{lib_major}.so.*

%files -n %{lib_name}-gui
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}GUI-%{lib_major}.so.*

%files -n %{lib_name}-gl
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}GL-%{lib_major}.so.*
%{_libdir}/libclan%{lib_subver}GL1-%{lib_major}.so.*

%files -n %{lib_name}-database
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}Database-%{lib_major}.so.*
%{_libdir}/libclan%{lib_subver}Sqlite-%{lib_major}.so.*

%files -n %{lib_name}-gdi
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}GDI-%{lib_major}.so.*

%files -n %{lib_name}-regexp
%defattr(-, root, root)
%{_libdir}/libclan%{lib_subver}RegExp-%{lib_major}.so.*





%changelog

* Sun Sep 18 2011 zezinho <zezinho> 2.1.2-3.mga2
+ Revision: 144743
- missing requires x11-proto-devel for devel package

* Sun Sep 18 2011 zezinho <zezinho> 2.1.2-2.mga2
+ Revision: 144708
- patch for libpng1.5
- build against libpng12 as this is an old version of clanlib
- missing BR
- requires for devel package corrected
- imported package clanlib2.1

